Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
cls_align_sint64.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | cls_struct_align

## Typedefs
typedef struct cls_struct_align | cls_struct_align

## Functions
cls_struct_align | cls_struct_align_fn (struct cls_struct_align a1, struct cls_struct_align a2)
int | main (void)

## Typedef Documentation

## ◆ cls_struct_align

typedef struct cls_struct_align cls_struct_align

## Function Documentation

## ◆ cls_struct_align_fn()

cls_struct_align cls_struct_align_fn | ( | struct cls_struct_align | a1,
|  | struct cls_struct_align | a2
| ) |  |

Definition at line 17 of file cls_align_sint64.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 44 of file cls_align_sint64.c.

References cls_struct_align::a, cls_struct_align::b, cls_struct_align::c, CHECK, cls_struct_align_fn(), ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), ffi_type_uchar, NULL, PRIdLL, and printf().